Subject: Re: [PATCH v2 2/3] net: mana: Add sched HTB offload support

From: Jakub Kicinski <[email-masked]>
Date: Tue, 22 Apr 2025 17:18:46 -0700

On Tue, 22 Apr 2025 12:48:30 -0700 Erni Sri Satya Vennela wrote:
> On Mon, Apr 21, 2025 at 05:03:49PM -0700, Jakub Kicinski wrote:
> > On Sun, 20 Apr 2025 23:33:39 -0700 Erni Sri Satya Vennela wrote:  
> > > This controller can offload only one HTB leaf.  
> >   
> We selected tc-htb for our current use case because we plan to support
> multiple speed classes in the future.

Which net-shapers also support.

IIRC HTB offload requires that you dynamically allocate the Tx queues.